MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Java::Object Class Reference

`#include <Object.hxx>`

Inheritance diagram for Java::Object:
[legend]
Collaboration diagram for Java::Object:
[legend]

## Public Member Functions
| Object ()=default
| Constructs an uninitialized object. More...
| Object (JNIEnv *env, jobject obj)
Public Member Functions inherited from Java::GlobalRef< jobject >
| GlobalRef ()=default
| Constructs an uninitialized object. More...
| GlobalRef (JNIEnv *env, jobject_value)
| GlobalRef (const GlobalRef &other)=delete
| ~GlobalRef ()
GlobalRef & | operator= (const GlobalRef &other)=delete
void | Set (JNIEnv *env, jobject_value)
| Sets the object, ignoring the previous value. More...
jobject | Get () const
| operator jobject () const

## Detailed Description

Definition at line 43 of file Object.hxx.

## Constructor & Destructor Documentation

Java::Object::Object | ( |  | ) |
| default

Constructs an uninitialized object.

The method set() must be called before it is destructed.

Java::Object::Object | ( | JNIEnv * | env,
|  | jobject | obj
| ) |  |
| inline

Definition at line 51 of file Object.hxx.

The documentation for this class was generated from the following file:

- java/Object.hxx